# Copyright (c) 2024 Airbyte, Inc., all rights reserved.

field_map = {
    "Agency/PMD (af_prt)": "af_prt",
    "Media Source (pid)": "media_source",
    "Campaign (c)": "campaign",
    "Impressions": "impressions",
    "Clicks": "clicks",
    "CTR": "click_through_rate",
    "Installs": "installs",
    "Conversion Rate": "conversion_rate",
    "Sessions": "sessions",
    "Loyal Users": "loyal_users",
    "Loyal Users/Installs": "loyal_users_rate",
    "Total Revenue": "total_revenue",
    "Total Cost": "total_cost",
    "ROI": "return_on_investment",
    "ARPU": "average_revenue_per_user",
    "Average eCPI": "average_ecpi",
    "Country": "country",
    "Date": "date",
    "Attributed Touch Type": "attributed_touch_type",
    "Attributed Touch Time": "attributed_touch_time",
    "Install Time": "install_time",
    "Event Time": "event_time",
    "Event Name": "event_name",
    "Event Value": "event_value",
    "Event Revenue": "event_revenue",
    "Event Revenue Currency": "event_revenue_currency",
    "Event Revenue USD": "event_revenue_usd",
    "Event Source": "event_source",
    "Is Receipt Validated": "is_receipt_validated",
    "Partner": "af_prt",
    "Media Source": "media_source",
    "Channel": "af_channel",
    "Keywords": "af_keywords",
    "Campaign": "campaign",
    "Campaign ID": "af_c_id",
    "Adset": "af_adset",
    "Adset ID": "af_adset_id",
    "Ad": "af_ad",
    "Ad ID": "af_ad_id",
    "Ad Type": "af_ad_type",
    "Site ID": "af_siteid",
    "Sub Site ID": "af_sub_siteid",
    "Sub Param 1": "af_sub1",
    "Sub Param 2": "af_sub2",
    "Sub Param 3": "af_sub3",
    "Sub Param 4": "af_sub4",
    "Sub Param 5": "af_sub5",
    "Cost Model": "af_cost_model",
    "Cost Value": "af_cost_value",
    "Cost Currency": "af_cost_currency",
    "Contributor 1 Partner": "contributor1_af_prt",
    "Contributor 1 Media Source": "contributor1_media_source",
    "Contributor 1 Campaign": "contributor1_campaign",
    "Contributor 1 Touch Type": "contributor1_touch_type",
    "Contributor 1 Touch Time": "contributor1_touch_time",
    "Contributor 2 Partner": "contributor2_af_prt",
    "Contributor 2 Media Source": "contributor2_media_source",
    "Contributor 2 Campaign": "contributor2_campaign",
    "Contributor 2 Touch Type": "contributor2_touch_type",
    "Contributor 2 Touch Time": "contributor2_touch_time",
    "Contributor 3 Partner": "contributor3_af_prt",
    "Contributor 3 Media Source": "contributor3_media_source",
    "Contributor 3 Campaign": "contributor3_campaign",
    "Contributor 3 Touch Type": "contributor3_touch_type",
    "Contributor 3 Touch Time": "contributor3_touch_time",
    "Region": "region",
    "Country Code": "country_code",
    "State": "state",
    "City": "city",
    "Postal Code": "postal_code",
    "DMA": "dma",
    "IP": "ip",
    "WIFI": "wifi",
    "Operator": "operator",
    "Carrier": "carrier",
    "Language": "language",
    "AppsFlyer ID": "appsflyer_id",
    "Advertising ID": "advertising_id",
    "IDFA": "idfa",
    "Android ID": "android_id",
    "Customer User ID": "customer_user_id",
    "IMEI": "imei",
    "IDFV": "idfv",
    "Platform": "platform",
    "Device Type": "device_type",
    "OS Version": "os_version",
    "App Version": "app_version",
    "SDK Version": "sdk_version",
    "App ID": "app_id",
    "App Name": "app_name",
    "Bundle ID": "bundle_id",
    "Is Retargeting": "is_retargeting",
    "Retargeting Conversion Type": "retargeting_conversion_type",
    "Attribution Lookback": "af_attribution_lookback",
    "Reengagement Window": "af_reengagement_window",
    "Is Primary Attribution": "is_primary_attribution",
    "User Agent": "user_agent",
    "HTTP Referrer": "http_referrer",
    "Original URL": "original_url",
    "App Type": "app_type",
    "Custom Data": "custom_data",
    "Network Account ID": "network_account_id",
    "Install App Store": "install_app_store",
    "Contributor 1 Match Type": "contributor1_match_type",
    "Contributor 2 Match Type": "contributor2_match_type",
    "Contributor 3 Match Type": "contributor3_match_type",
    "Custom Dimension": "custom_dimension",
    "Conversions": "conversions",
    "Campaign Type": "campaign_type",
    "Conversion Type": "conversion_type",
    "Match Type": "match_type",
    "Google Play Referrer": "gp_referrer",
    "Google Play Click Time": "gp_click_time",
    "Google Play Install Begin Time": "gp_install_begin",
    "Google Play Broadcast Referrer": "gp_broadcast_referrer",
    "Keyword Match Type": "keyword_match_type",
    "Keyword ID": "keyword_id",
    "ATT": "att",
    "Amazon Fire ID": "amazon_aid",
    "Device Category": "device_category",
    "Device Model": "device_model",
    "Device Download Time": "device_download_time",
    "Deeplink URL": "deeplink_url",
    "OAID": "oaid",
    "Is LAT": "is_lat",
    "Store Reinstall": "store_reinstall",
    "Placement": "placement",
    "Mediation Network": "mediation_network",
    "Segment": "segment",
    "Ad Unit": "ad_unit",
    "Monetization Network": "monetization_network",
    "Blocked Reason": "blocked_reason",
    "Blocked Reason Value": "blocked_reason_value",
    "Blocked Reason Rule": "blocked_reason_rule",
    "Blocked Sub Reason": "blocked_sub_reason",
    "Rejected Reason": "rejected_reason",
    "Rejected Reason Value": "rejected_reason_value",
}
